"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
const sheep_hooks_useModal = require("../../hooks/useModal.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/member/signin.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
if (!Math) {
  (NavbarItem + Navbar)();
}
const Navbar = () => "./components/navbar.js";
const NavbarItem = () => "./components/navbar-item.js";
const _sfc_main = {
  __name: "s-custom-navbar",
  props: {
    data: {
      type: Object,
      default: () => ({})
    },
    showLeftButton: {
      type: Boolean,
      default: false
    }
  },
  setup(__props) {
    const props = __props;
    const hasHistory = sheep_index.sheep.$router.hasHistory();
    const sticky = common_vendor.computed(() => {
      if (props.data.mode == "inner") {
        if (props.data.alway) {
          return false;
        }
      }
      if (props.data.mode == "normal") {
        return false;
      }
    });
    const navList = common_vendor.computed(() => {
      if (!props.data.list)
        return [];
      return props.data.list.mp;
    });
    const windowWidth = sheep_index.sheep.$platform.device.windowWidth;
    const cell = common_vendor.computed(() => {
      if (common_vendor.unref(navList).length) {
        let cell2 = (windowWidth - 90) / 8;
        cell2 = (windowWidth - 80 - common_vendor.unref(sheep_index.sheep.$platform.capsule).width) / 6;
        return cell2;
      }
    });
    const parseImgStyle = (item) => {
      let obj = {
        width: item.width * cell.value + (item.width - 1) * 10 + "px",
        left: item.left * cell.value + (item.left + 1) * 10 + "px",
        "border-radius": item.borderRadius + "px"
      };
      return obj;
    };
    const isAlway = common_vendor.computed(
      () => props.data.mode === "inner" ? Boolean(props.data.alwaysShow) : true
    );
    const isOpacity = common_vendor.computed(
      () => props.data.mode === "normal" ? false : props.showLeftButton ? false : props.data.mode === "inner"
    );
    const isPlaceholder = common_vendor.computed(() => props.data.mode === "normal");
    const bgStyles = common_vendor.computed(() => {
      if (props.data.type) {
        return {
          background: props.data.type == "color" ? props.data.color : `url(${sheep_index.sheep.$url.cdn(props.data.src)}) no-repeat top center / 100% 100%`
        };
      }
    });
    function onClickLeft() {
      if (hasHistory) {
        sheep_index.sheep.$router.back();
      } else {
        sheep_index.sheep.$router.go("/pages/index/index");
      }
    }
    function onClickRight() {
      sheep_hooks_useModal.showMenuTools();
    }
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: __props.showLeftButton
      }, __props.showLeftButton ? common_vendor.e({
        b: common_vendor.unref(hasHistory)
      }, common_vendor.unref(hasHistory) ? {} : {}, {
        c: common_vendor.o(onClickLeft),
        d: common_vendor.o(onClickRight),
        e: __props.data.mode == "inner" ? 1 : ""
      }) : {}, {
        f: common_vendor.f(navList.value, (item, index, i0) => {
          return {
            a: "6417c6b5-1-" + i0 + ",6417c6b5-0",
            b: common_vendor.p({
              data: item,
              width: parseImgStyle(item).width
            }),
            c: index,
            d: common_vendor.s(parseImgStyle(item)),
            e: common_vendor.n({
              "ss-flex ss-col-center ss-row-center": item.type !== "search"
            })
          };
        }),
        g: common_vendor.p({
          alway: isAlway.value,
          back: false,
          bg: "",
          placeholder: isPlaceholder.value,
          bgStyles: bgStyles.value,
          opacity: isOpacity.value,
          sticky: sticky.value
        })
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-6417c6b5"], ["__file", "D:/zx/mall-front-app/sheep/components/s-custom-navbar/s-custom-navbar.vue"]]);
wx.createComponent(Component);
